Skip to main content
PATCH
/
v2
/
webhooks
/
{id}
Actualizar webhook
curl --request PATCH \
  --url https://sandbox-rampa.mesadepagos.com/api/v2/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://partner.example.com/webhooks/yp-v2",
  "description": "Webhook actualizado",
  "apiKey": "partner-secret",
  "status": "ACTIVE",
  "events": {
    "transaction": [
      "completed_transaction",
      "failed_transaction"
    ]
  }
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "url": "https://partner.example.com/webhooks/yp",
  "events": [
    "completed_transaction",
    "failed_transaction"
  ],
  "apiKey": null,
  "description": "Webhook principal"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT obtenido desde /v2/auth/login

Path Parameters

id
string
required

Identificador UUID del webhook.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json

Campos del webhook a actualizar.

url
string

Nueva URL HTTPS del partner.

Example:

"https://partner.example.com/webhooks/yp-v2"

description
string

Descripcion interna del webhook.

Maximum string length: 255
Example:

"Webhook actualizado"

apiKey
string

API key opcional asociada al webhook.

Example:

"partner-secret"

status
enum<string>

Estado del webhook.

Available options:
ACTIVE,
INACTIVE,
SUSPENDED
Example:

"ACTIVE"

events
object

Eventos suscritos.

Response

Webhook actualizado exitosamente.

id
string
required

Identificador unico del webhook.

Example:

"550e8400-e29b-41d4-a716-446655440000"

url
string
required

URL configurada para recibir notificaciones.

Example:

"https://partner.example.com/webhooks/yp"

events
enum<string>[]
required

Eventos configurados.

Available options:
pending_transaction,
processing_transaction,
completed_transaction,
reject_transaction,
failed_transaction,
expired_transaction
Example:
[
"completed_transaction",
"failed_transaction"
]
apiKey
object

API key asociada al webhook, si existe.

Example:

null

description
object

Descripcion del webhook.

Example:

"Webhook principal"